import { request } from "../utils/request"

/**
* @description:获取金币价格列表
* @param {*} (pageSize, pageNum)
* @return: list
*/
export function getCoinList(pageSize, pageNum) {
  return request({
    url: `api/product/list?projectType=5&type=1&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get'
  })
}

/**
* @description:购买金币下单
* @param productId
* @return: data
*/
export function createOrder(productId) {
  return request({
    url: `api/productOrder/createOrder`,
    method: 'post',
    data: {
      productId
    }
  })
}

/**
* @description:获取订单数据
* @param data
* @return: data
*/
export function createPay(data) {
  return request({
    url: `api/productOrder/createPay`,
    method: 'post',
    data
  })
}

/**
* @description:获取订单支付状态
* @param orderNumber
* @return: data
*/
export function getOrderStatus(orderNumber, payVendor) {
  return request({
    url: `api/productOrder/findStatus?orderNumber=${orderNumber}&payVendor=${payVendor}`,
    method: 'get'
  })
}
