import { request } from "../utils/request"

/**
* @description:获取用户头像
* @param 
* @return: data
*/
export function findImageApi() {
  return request({
    url: `/api/userDigital/findImage`,
    method: 'get'
  })
}

/**
* @description:查询金币数量
* @param 
* @return: data
*/
export function findGlodApi() {
  return request({
    url: `/api/userProperty/findGlod`,
    method: 'get',
  })
}

/**
* @description:获取我的写真列表
* @param (pageSize, pageNum)
* @return: data
*/
export function getPhotoListApi(pageSize, pageNum) {
  return request({
    url: `/api/digitalAvatarPhoto/list?pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get',

  })
}

/**
* @description:获取消费记录
* @param (pageSize, pageNum)
* @return: data
*/
export function getConsumeListApi(pageSize, pageNum) {
  return request({
    url: `/api/userPropertyLog/list?projectType=5&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get',
  })
}

/**
* @description:获取邀请记录
* @param (pageSize, pageNum)
* @return: 
*/
export function getInviteListApi(pageSize, pageNum) {
  return request({
    url: `api/userFrom/list?fromProject=5&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get',
  })
}


/**
* @description:删除写真
* @param id
* @return: data
*/
export function deleteApi(data) {
  return request({
    url: `/api/digitalAvatarPhoto/delete`,
    method: 'post',
    data,
  })
}
