import { request } from "../utils/request"


// 微信登录
export function loginApi(data) {
  return request({
    url: `api/miniApp/login`,
    method: 'POST',
    data
  })
}

// 授权手机号登陆
export function loginPhoneApi(data) {
  return request({
    url: `api/miniApp/loginPhone`,
    method: 'POST',
    data
  })
}

// 获取短信验证码
export function getCodeApi(phone) {
  return request({
    url: `api/user/sendLoginPhoneCode?phone=${phone}`,
    method: 'get',
  })
}


/**
* @description:短信登录
* @param {*} (appId, openId,phone,code)
* @return: list
*/
export function loginByCodeApi(data) {
  return request({
    url: `api/miniApp/loginPhoneCode`,
    method: 'POST',
    data
  })
}