import { request } from "../utils/request"


/**
* @description:得到写真信息
* @param id
* @return: data
*/
export function getPhotoListApi(id) {
  return request({
    url: `/api/digitalAvatarPhoto/findById?id=${id}`,
    method: 'get',
  })
}


/**
* @description:超分 
* @param id
* @return: data
*/
export function photoSupperApi(data) {
  return request({
    url: `/api/digitalAvatarPhoto/photoSupper`,
    method: 'post',
    data
  })
}

/**
* @description:超分 查询超分状态
* @param id
* @return: data
*/
export function getSupperPhotoStateApi(id) {
  return request({
    url: `/api/digitalAvatarPhoto/getSupperPhoto?id=${id}`,
    method: 'get',
  })
}

/**
* @description:生成画报
* @param {appId,img}
* @return: data
*/
export function getUserQrcodeApi(data) {
  return request({
    url: `/api/miniApp/getUserQrcode`,
    method: 'POST',
    responseType: "arraybuffer",
    data
  })
}

/**
* @description:获取订阅消息模版id
* @param 
* @return: data
*/
export function getTemplateMsgApi() {
  return request({
    url: `api/templateMsg/list?projectType=5&plat=${uni.getStorageSync("plat")}&type=1`,
    method: 'get',
  })
}
