
import { userInfoModules } from "@/store/modules/userInfo";
import { store } from '@/store/index';
// const BASE_URL = 'https://test.metavatar.cc/C/';
const BASE_URL = 'https://mtest.metavatar.cc/C/';

const userInfoModulesPinia = userInfoModules(store);
// const BASE_URL = 'https://test.metavatar.cc/';

// 通用的网络请求函数，接收请求的URL和请求参数，返回一个Promise
const request = (requestObj) => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: BASE_URL + requestObj.url,
      method: requestObj.method, // 这里可以根据需要更改请求方法
      data: requestObj.data,
      header: {
        // Authorization: userInfoModulesPinia.token,
        // token: userInfoModulesPinia.token,
        token: uni.getStorageSync("token"),
      },
      success: (res) => {
        if (res.data.code == 1052) {
          uni.setStorageSync("token", null)
          uni.reLaunch({
            url: "/pages/login/index?type=tokenFfalse",
          });
          return
        }
        if (res.statusCode == 200) {
          // if (res.data.code == 200) {
          resolve(res.data)
        } else {
          reject(new Error('请求失败'));
          uni.showToast({
            title: '请求失败，请稍后再试',
            icon: 'none',
          })
        }
      },
      fail: (err) => {
        reject(err, "拦截器返回错误");
        uni.showToast({
          title: '请求失败，请稍后再试',
          icon: 'none',
        })
      },
    })
  })
};
export { BASE_URL, request } 